/* mynewfiletype.c
 * Read mynewfiletype
 *
 * Alex Lindberg - alindber@yahoo.com
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <glib.h>
#include <regex.h> 

#include "wtap-int.h"
#include "wtap.h"
#include "buffer.h"
#include "file_wrappers.h"
#include "mynewfiletype.h"

int mynewfiletype_open(wtap *wth, int *err _U_, gchar **err_info _U_) {
	/* open routine.  First determin if it is My New File Type file. */
	
	guchar *input_line = NULL;
	
	input_line = g_malloc(MNFT_MAX_DATA*sizeof(guchar));
	
	if((file_gets(input_line, MNFT_MAX_DATA, wth->fh)) == NULL) {
		printf("Error on file_gets 0x%0x\n",file_error(wth->fh));
		return FALSE;
	}
	
	printf("Intput_Line is '%20s'\n", input_line);

	return 0;
}
